@media (max-width: 1919.98px) {
    .hero-slider img{
        width: 100%;
    }
}
@media (max-width: 1399.98px) {
    .hero-slider .swiper-slide img{
        width: 100%;
        object-fit: cover;
        object-position: 60%;
    }
    .slider-content h1{
        font-size: 29px;
    }
    .product-content h5 {
        font-size: 22px;
    }
    .maximize-content{
        padding-left: 60px;
    }
    .maximize-img{
        width: 54%;
    }
    .maximize-content h5{
        font-size: 28px;
        line-height: normal;
    }
    .sub-title{
        font-size: 28px;
    }
    .contact-form {
        max-width: 59%;
    }
}

@media (max-width: 1199.98px) {
    .nav-link {
        padding: 13px 4px 10px !important;
    }
    .navbar .main-logo{
        margin-right: 20px;
    }
    .navbar .main-logo::after{
        inset: 0 -6px 0 auto;
    }
    .getstart-card img{
        max-width: 51px;
        max-height: 51px;
    }
    .getstart-card h5{
        font-size: 21px;
    }
    .maximize-content {
        padding-left: 40px;
    }
    .about-hero-content h1{
        font-size: 38px;
    }
    .contact-info{
        padding: 40px;
    }
    .contact-form{
        padding: 30px;
    }
}

@media (max-width: 991.98px) {
    .navbar-title,
    .navbar .nav-link::before,
    .navbar .main-logo::after{
        display: none;
    }
    .navbar .main-logo{
        margin: 0;
    }
    .navbar .navbar-collapse{
        position: absolute;
        transition: none;
        top: 100%;
        left: 0;
        background-color: var(--gray);
        width: 100%;
    }
    .navbar-nav{
        align-items: start;
        max-height: calc(100vh - 55px);
        overflow: auto;
    }
    .navbar-nav li{
        width: 100%;
    }
    .navbar-nav a{
        width: calc(100% - 2px);
        padding: 15px !important;
        margin: 1px;
    }
    .navbar-nav a:not(:focus){
        border-bottom: 1px solid #e6e6e6 !important;
    }
    .navbar-nav li:last-child .nav-link{
        border-bottom-color: var(--black) !important;
    }
    .navbar-signup{
        padding: 7px;
    }
    .navbar-signup span{
        display: none;
    }
    .navbar .dropdown-toggle::after{
        right: 25px;
    }
    .navbar .dropdown-menu{
        border: none;
        padding-left: 30px;
        margin: 0;
        max-height: unset;
    }
    .nav-link.dropdown-toggle[aria-expanded="true"]::after{
        rotate: 180deg;
        right: 22px;
        top: 34px;
    }
    .footer-bottom-links{
        justify-content: start;
        column-gap: 8px;
    }
    .footer-bottom-links li {
        padding: 3px 0;
    }
    
    footer li {
        padding: 5px 0;
    }
    footer{
        padding: 0;
    }
    .social-footer{
        padding: 30px 0;
    }
    .product-banner-section::before,
    .service-banner-section::before{
        display: none !important;
    }
    .product-banner,
    .banner-text{
        min-height: unset;
        padding: 48px 0 32px;
    }
    .banner-text{
        width: unset;
    }
    .services-cards {
        grid-template-columns: repeat(auto-fit, minmax(46%, 1fr));
    }
    .hero-content{
        position: unset;
        padding-top: 48px;
    }
    .sdetail-hero-section img{
        height: unset;
        min-height: unset;
    }
    .detail-title{
        font-size: 38px;
        line-height: normal;
        margin-left: 0;
    }
    .detail-subtitle{
        margin-left: 0;
    }
    .sdetail-hero-section .buttons{
        margin-left: 0;
    }
    .sdetail-content {
        padding: 84px 0;
    }
    .getstart-ways{
        flex-direction: unset;
        flex-wrap: wrap;
        padding-left: 48px;
    }
    .getstart-card{
        width: 47%;
    }
    .hero-slider .swiper-slide{
        display: block;
    }
    .slider-content{
        position: relative;
        display: block;
        opacity: 0;
        transition: all 1s ease-in-out;
        height: fit-content;
        margin: -50px 12px 0;
        width: calc(100% - 24px);
        padding: 48px 0;
        background-color: #fff;
        box-shadow: 0 0.1875rem 0.4375rem 0 rgba(0,0,0,.13), 0 0.0625rem 0.125rem 0 rgba(0,0,0,.11);
    }

    .slider-content .container{
        max-width: unset;
    }

    .slider-content h1{
        font-size: 24px;
        line-height: normal;
        margin-bottom: 12px;
    }
    .hero-slider .swiper-slide-active .slider-content{
        opacity: 1;
    }
    .hero-slider .swiper-slide img {
        width: 100%;
        height: 370px;
        object-fit: cover;
    }
    .hero-slider{
        height: unset;
    }
    .product-content h5 {
        font-size: 20px;
    }
    .maximize-mainpart{
        flex-direction: column-reverse;
        align-items: normal;
        max-height: fit-content;
        background-color: transparent;
    }
    .maximize-img {
        width: 100%;
        height: unset;
        max-height: 330px;
    }
    .powering-section .maximize-content,
    .maximize-content{
        background-color: #C2E1FE;
        margin-inline: 3%;
        margin-top: -50px;
        padding: 30px;
    }
    .maximize-content h5,
    .maximize-content p{
        max-width: unset;
    }
    .powering-section .maximize-mainpart{
        flex-direction: column;
        background-color: transparent;
    }

    .powering-section .maximize-content{
        background-color: #D9D9D7;
    }
    .about-content-section{
        padding-bottom: 0;
    }
    .about-cards .sub-title{
        margin-bottom: 24px;
    }

    .about-hero-content .container{
        max-width: unset;
    }
    .about-hero-content{
        position: unset;
        margin: -50px 3% 0;
        background: var(--black);
        padding: 36px 24px;
        width: auto;
    }
    .about-hero-content h1 {
        font-size: 32px;
    }
    .contact-form {
        max-width: 55%;
        padding: 24px;
    }
    .custome-input-group{
        margin-bottom: 24px;
    }
    .contact-info {
        padding: 24px;
    }
    .contact-info-detail img {
        max-width: 28px;
        max-height: 28px;
    }
    .contact-info-detail{
        gap: 12px;
        margin-bottom: 28px;
    }
    .contact-info h5{
        font-size: 28px;
        margin-bottom: 34px;
    }
    .contact-main{
        margin: 96px 0 10px;
    }
    .moblie-dropdown{
        display: block;
        padding: 0 !important;
        height: 54px;
        width: 54px !important;
        position: absolute;
        background: #f2f2f2;
        inset: -1px 0 0 auto;
    }
    .nav-link.dropdown-toggle:not(.moblie-dropdown){
        margin-right: 55px;
        width: auto;
    }

    .nav-link.dropdown-toggle:not(.moblie-dropdown)::after{
        content: unset;
    }
}

@media (max-width: 767.98px) {
    .detail-title,
    .detail-subtitle,
    .sdetail-hero-section .buttons{
        margin-left: 0;
    }
    .getstart-section h4,
    .sdetail-content h4{
        font-size: 24px;
        line-height: normal;
    }
    .section-main-heading{
        font-size: 28px;
    }
    .hero-slider .swiper-slide img {
        height: 320px;
    }
    .sub-title {
        font-size: 24px;
    }
    .about-hero-content{
        margin-top: -30px;
    }
    .contact-main{
        flex-direction: column;
        margin: 48px 0 10px;
    }
    .contact-info{
        padding: 48px 28px;
    }
    .contact-form{
        max-width: 100%;
    }
}

@media (max-width: 575.98px) {
    .detail-title{
        font-size: 30px;
        margin-bottom: 14px;
    }
    .sdetail-content {
        padding: 64px 0;
    }
    .getstart-section .btn,
    .getstart-section h4{
        margin-left: 24px;
    }
    .getstart-ways{
        padding-left: 24px;
    }
    .product-section {
        padding-top: 48px;
    }
    .main-title{
        font-size: 30px;
        line-height: normal;
    }
    .hero-slider .swiper-slide img {
        height: 220px;
    }
    .slider-content{
        padding: 24px 0 16px;
        margin: 0;
        width: 100%;
    }
    .home-poducts-section {
        padding: 24px 0;
    }
    .hero-section {
        padding-bottom: 24px;
    }
    .powering-section .maximize-content,
    .maximize-content{
        margin-top: -30px;
        padding: 16px;
    }
    .maximize-content h5{
        font-size: 22px;
    }
    .contact-main{
        padding: 24px 0 10px;
    }
    .powering-section{
        margin: 24px 0;
    }
    .about-content-section{
        padding-bottom: 24px;
    }
    .about-cards .product-img {
        margin-bottom: 24px;
    }
    .about-hero-content{
        padding: 24px 12px;
    }
    .about-hero-content h1 {
        font-size: 28px;
    }
    .contact-form,
    .contact-info {
        padding: 32px 16px;
    }
    .contact-info h5 {
        font-size: 24px;
    }
    .signin-section{
        padding: 0;
        background: transparent;
        align-items: normal;
    }
    .signin-box{
        box-shadow: none;
        padding: 24px;
    }
    .singin-main{
        align-items: start;
    }
}

@media (min-width: 1680px){
.container, .container-lg, .container-md, .container-sm, .container-xl, .container-xxl {
    max-width: 1600px;
}
}